2012:Vejledning i video

From TheCamp

Jump to: navigation, search

Contents

Vejledning i videooptagelse og -indkodning

Denne vejledning tjener primært som instruktion til personen bag kameraet (kameoperatør), så vi kan få en fornuftig optagelse i kassen og få det indkodet så vi kan få det online inden for endelig tid..

Spørgsmål kan rettes til Georg (+45 50830119) alternativt Kristen.

Forud for optagelsen

  • Afsæt den fornødne tid. Kom minium 5-10 minutter før foredraget begynder, så du kan foreberede optagelsen, og vær opmærksom på at optagelsen bagefter skal overføres til PC'en efterfulgt af at optagelsen skal slettes på kameraet.
  • Udfyld A3-ark til clapperen (ligger her: http://kom.aau.dk/~georg/clapper_thecamp.pdf da The Camps wiki er lidt for restriktiv med hvad man kan uploade.). Aftal med foredragsholder hvilke(n) licens(er) optagelsen skal licenseres under og skriv begge under herpå. Skriv gerne pænt og tydeligt med en sort tusch.
  • Hvis der er ekstern lyd tilsluttet: Foretag mikrofoncheck og instruer foredragsholder i at spørgsmål fra publikum skal gentages. Det letter forståelsen for både foredragsholder og publikum og man undgår at skulle sende en mikrofon rund i salen forud for hvert spørgsmål. Der ligger ekstra batterier i skuffen hvis det bliver nødvendigt at skifte batterier undervejs.
  • Tænd kameraet ved at trykke ned ved at trykke ind på siden af knappen for oven til højre og dreje med uret. Ved at vippe yderligere med uret kan der skiftes imellem afspilnings- og optagelsesmodus. Kontrollér at der er tilsluttet ekstern strøm så det ikke risikeres at kameraet slukker under foredraget.

alt Billede af kamera med angivelse af hvordan det tændes og hvor ekstern strømtilslutning sidder.

  • I afspilningsmodus kontrolleres det at kameraet er tomt. Er det ikke det så skal kameraets indhold slettes (se afsnittet "Slette alle optagelser på kamera" nedenfor). Kontrollér dog gerne om foredraget fejlagtigt ikke har været overført til PC'en (placeringen er beskrevet i afsnittet "Efter optagelsen" nedenfor.).
  • Justér kameraet så det inkluderer lærredet med skærmoutput samt taler. Opløsningen på kameraet 1080p, så det er normalt ok at zoome så langt ud at både taler og skærm er med på samme billede.
  • Prøv evt at holde clapperen ud foran kameraet så du får en fornemmelse for en passende afstand (ikke for langt væk - man skal kunne læse teksten) samt hvordan du lige holder hånden / hænderne for at lave et elegang "klak" med clapperen :-) Vænd skærmen på kameraet om så du kan se placeringen af clapperen. Vær opmærksom at bagsiden af clapperen har lidt skarpe kanter på indersiden, hvorfor der også i det ene hjørne er monteret lidt gummi.

alt Billede af clapper med udfyld A3-ark alt Billede af kamera forfra

Selve optagelsen

  • Når foredragsholder har meldt at denne er klar til at starte foredraget start da videokameraet og hold clapperen op forand kameraet i passende afstand.
  • Hold klapperen stille i ca. 5 sekunder og lav derefter et let "klap" med clapperen hvorefter klapperen føres væk.
  • Foredraget er begyndt og skærmen vendes tilbage så du løbende kan følge med i optagelsen og motivet. Juster zoom og retning på kamera hvis foredragsholder i længere tid bevæger sig uden for billedet. Opløsningen på kameraet er 1080p (ca. 2 Mpixel) hvorfor det normalt vil være helt uden problemet at filme både foredragsholder samt lærred på én gang, og dermed altså have zoomet lidt ud.
  • Hold øje med lyden. Lyt gerne til lyden gennem høretelefonerne under hele foredraget og fortæl foredragsholder hvis denne skal tale højere/tydeligere eller hvis der er for meget "prusten" i mikrofonen. OBS: Lydudgangen på DKUUGs kamera er defekt, derfor benyttes der kun høretelefoner hvis ekstern lyd/mixer benyttes.
  • Hvis der er en pause undervejs så husk at afbryde kameraet så pausen ikke kommer med i optagelsen.

Efter optagelsen

  • Når optagelsen er slut skal optagelsen overføres til PC'en.
  • PC'en er en Debian Squeeze med user/pass "guest". På skrivebordet er der en mappe der hedder "The_Camp_video-optagelser". I denne mappe er der en mappe for hver ugedag. Under den pågældende mappe for ugedagen oprettes en mappe med foredragets navn (det præcise navn er ikke så vigtigt - vi retter det til forud for publicering.). I denne mappe kopieres .mts -filerne fra kameraet over i.
  • Kameraet tilsluttes pc'en med et USB-kabel i venstre side (bag skærmen, når denne ikke er klappet ud.). Kameraet skal have ekstern strøm tilsluttet og være i "afspilningsmodus" (beskrevet under "forud for optagelse"). Et drev CANON_HDD vil komme til syne. Filerne der skal kopieres ligger i mappen AVCHD/BDMV/STREAM/
  • Når kameraet er færdig med at overføre (det kan godt tage 10-20 minutter) unmountes kameraet, USB-kablet tages ud ad kameraet og kameraets indhold slettes så det er klar til brug til næste foredrag (det er vigtigt at kameraets indhold slettes efter succesfuld overførsel, så eksisterende optagelser ikke blandes sammen med næste foredrag!).
  • Hvis foredragsholder har slides eller andre relevante filer som gerne må lægges online, så læg dem i mappen sammen med optagelserne. Slides må som udgangspunkt antages at være under samme licens som optagelserne, da de er en delmængde af optagelserne. Generelt er det en god idé hvis foredragsholder har angivet, gerne direkte i filerne, hvilke(n) licens(er) de er under.
Slette alle optagelser på kamera

Efter succesfuldt at have overført optagelser til PC'en skal alle optagelser på kameraet slettes. Fremgangsmåden er som følger:

  • Gå i optagelsesmodus (knappen på bagsiden øverst til højre kan drejes med uret for at skifte modus).

alt Billede af kameraets bagside og hvordan man skifter modus.

  • Tryk på "FUNC."-knappen neders til venstre ved displayet.
  • Gå ned til nederste punkt i listen og vælg "MENU" ved at trykke "set" (midterste knap i "joy-sticket" i venstre side.).

alt Kamera menu

  • Vælg harddisk-ikonet og under dette "Initialize HDD"

alt Kamera initialize

  • Svar "Yes" to gange.

alt Kamera vælg yes alt Kamera vælg yes

  • Vent til kameraet er færdig og afslut med "FUNC."-knappen eller sluk kameraet.

alt Kamera progress

Indkodning af video

Dette er ikke en nødvendig del af kameraoperatørerens arbejde. Indkodning af video kan igangsættes hvis PC'en står et sted hvor blæserstøj er ok eller det skønnes at indkodning er færdig inden næste foredrag påbegyndes (indkodning af et foredrag tager adskillige timer).

Indkodning af video foregår ved at køre det simple shell-script video-encode. Som eneste argument angives den mappe hvor .MTS -filerne for et givent foredrag ligger.

Eksempel:

video-encode Desktop/The_Camp_video-optagelser/mandag/Minix\ på\ din\ smartphone

Selve scriptet:

#!/bin/bash
# This is a simple script that will take a folder as input that contains a number of .MTS files (AVCHD) that must be encoded for publication.
# This script is public domain. Written by Georg Sluyterman <georg@sman.dk>
# Version 0.1

# set me please
outputdir=~/finished 

# Über simple input validation
if ! [ $( echo $1 | wc -c ) -gt 1 ]
then
    echo "Usage: $0 <path to folder containing .MTS files>" >&2
    exit 1
fi
if [ ! -d $outputdir ]
then
    mkdir -p $outputdir
fi

# Check if we have HandBrakeCLI installed
if ! [ $( which HandBrakeCLI ) ]
then
    echo "Error: HandBrakeCLI seems not to be installed" >&2
    exit 1
fi

# Check if the folder contains any .MTS files
if [ $(ls -1 "$1/"*MTS | wc -l) -le  0 ]
then
    echo "Error: The folder $1 contains no .MTS files" >&2
    exit 1
fi

# Create one large MTS file
fname="$( echo "$1" | sed -e s/"\/"$// | awk -F '/' '{ print $NF }')"
mtsout="${outputdir}/${fname}.MTS"
date
echo "Creating one large MTS file: $mtsout"
time cat "$1/"000*.MTS > "$mtsout"

exitval="$?"
if [ $exitval -ne 0 ]
then
    echo "Error: Failed in the process of creating $mtsout. Exited with errorcode $exitval. Consider deleting the file and start all over again." >&2
    exit 1
fi

# Generate encoded files
date
applefile="${outputdir}/${fname}_Apple.mp4"
echo "Creating Apple-compatible file $applefile"
date
time HandBrakeCLI -i "$mtsout" -o "$applefile"  -e x264 -q 20.0 -a 1,1 -E faac,copy:ac3 -B 160,160 -6 dpl2,auto -R Auto,Auto -D 0.0,0.0 -f mp4 -X 720 --loose-anamorphic -m -x cabac=0:ref=2:me=umh:bframes=0:weightp=0:8x8dct=0:trellis=0:subme=6
exitval="$?"
if [ $exitval -ne 0 ]
then
    echo "Error: Failed in the process of creating $applefile. Exited with errorcode $exitval. Consider deleting the file and start all over again." >&2
    exit 1
fi

mp4file="${outputdir}/${fname}.mp4"
echo "Creating Apple-compatible file $mp4file"
date
time HandBrakeCLI -i "$mtsout" -o "$mp4file" -e x264 -b 2048 -B 128 -w 1920 -l 1080
exitval="$?"
if [ $exitval -ne 0 ]
then
    echo "Error: Failed in the process of creating $mp4file. Exited with errorcode $exitval. Consider deleting the file and start all over again." >&2
    exit 1
fi
echo "FINISHED"
Personal tools